package ap

import "net/url"

// Action to like a post
type LikeAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Url to this action
	Type    string          `json:"type"`               // Should always be "Like"
	Actor   url.URL         `json:"actor"`              // Who is liking something
	Object  url.URL         `json:"object"`             // What is being liked
}
