package ap

import (
	"net/url"
	"time"
)

// Custom emote information
type Emote struct {
	Icon    Media     `json:"icon"`    // Emote source file
	ID      url.URL   `json:"id"`      // Url of the image
	Name    string    `json:"name"`    // Name of the emote, example: ":neocat_heart:"
	Type    string    `json:"type"`    // Should always be "Emoji"
	Updated time.Time `json:"updated"` // When this was last updated. Akkoma seems to set this to unix epoch
}
