package ap

import "net/url"

// A follow request
type FollowAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Location of this resource
	Type    string          `json:"type"`               // Should always be "Follow"
	Actor   url.URL         `json:"actor"`              // Account instanciating the follow request
	Target  url.URL         `json:"object"`             // Account that the actor wants to follow
}
