package ap

import "net/url"

// Tag type for mentions
type Mention struct {
	Type string  `json:"type"` // Should always be "Mention"
	Href url.URL `json:"href"` // Url to mentioned account
	Name string  `json:"name"` // Name of the account ("@foo@example.com")
}
