package ap

import "net/url"

// Undo == unfollow
type UndoAction struct {
	Context *map[string]any `json:"@context,omitempty"` // Lots of something. Not included if action is embedded as object in another object
	Id      url.URL         `json:"id"`                 // Location of this resource
	Type    string          `json:"type"`               // Should always be "Undo"
	Actor   url.URL         `json:"actor"`              // Account instanciating the follow request
	Target  FollowAction    `json:"object"`             // Follow to undo
}
